<?php

namespace App\Modules\HtlCampBooking\Application\UpdateDateStart;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class UpdateDateStartHtlCampBookingQuery implements Query
{
    public function __construct(
        private int $id,
        private string $dateStart
    ) {
    }

    public function id(): int
    {
        return $this->id;
    }

    public function dateStart(): string
    {
        return $this->dateStart;
    }
}
